# TdApi.AnswerCallbackQuery (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: AnswerCallbackQuery

Package it.tdlight.jni

# Class TdApi.AnswerCallbackQuery

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.AnswerCallbackQuery

Enclosing class:
  TdApi

    public static class TdApi.AnswerCallbackQuery
    extends TdApi.Function

Sets the result of a callback query; for bots only.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`int` | `cacheTime` | Time during which the result of the query can be cached, in seconds.
`long` | `callbackQueryId` | Identifier of the callback query.
`static int` | `CONSTRUCTOR` |
`boolean` | `showAlert` | If true, an alert must be shown to the user instead of a toast notification.
`String` | `text` | Text of the answer.
`String` | `url` | URL to be opened.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AnswerCallbackQuery()` | Sets the result of a callback query; for bots only.
`AnswerCallbackQuery​(long callbackQueryId, String text, boolean showAlert, String url, int cacheTime)` | Sets the result of a callback query; for bots only.
`AnswerCallbackQuery​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### callbackQueryId

public long callbackQueryId
Identifier of the callback query.

### text

public String text
Text of the answer.

### showAlert

public boolean showAlert
If true, an alert must be shown to the user instead of a toast notification.

### url

public String url
URL to be opened.

### cacheTime

public int cacheTime
Time during which the result of the query can be cached, in seconds.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### AnswerCallbackQuery

public AnswerCallbackQuery()
Sets the result of a callback query; for bots only.

Returns `Ok`

### AnswerCallbackQuery

public AnswerCallbackQuery​(long callbackQueryId, String text, boolean showAlert, String url, int cacheTime)
Sets the result of a callback query; for bots only.

Returns `Ok`

Parameters:
  `callbackQueryId` - long Identifier of the callback query.
  `text` - String Text of the answer.
  `showAlert` - boolean If true, an alert must be shown to the user instead of a toast notification.
  `url` - String URL to be opened.
  `cacheTime` - int Time during which the result of the query can be cached, in seconds.

### AnswerCallbackQuery

public AnswerCallbackQuery​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`